> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/go/dbaas-postgres/changelog.md).

# Changelog

## v1.1.2 (July, 2023)

### Features

* Added functionality for `users` endpoint
* Added functionality for `databases` endpoint

## v1.1.1 (March, 2023)

### Features

* added new state for clusters: `DEGRADED`
* added new parameters: `limit` and `offset`

## v1.0.5 (January, 2023)

### Enhancements:

* Added logger and logger level

## v1.0.4 (July, 2022)

### Features

* Added Size and Location to ClusterBackup

## v1.0.3 (May, 2022)

### Enhancements:

* `location` and `backup_location` parameters on `CreateClusterProperties` are now strings
  * `Location` and `BackupLocation` models are now removed

### Features

* **new values** for `storage_type` parameter: ***SSD\_STANDARD**, **SSD\_PREMIUM***. Value ***SSD*** is deprecated. Use the equivalent ***SSD\_PREMIUM*** instead.
* Added option to do certificate pinning by setting `IONOS_PINNED_CERT` env variable to be the public sha256 fingerprint of the certificate to be pinned.

## v1.0.2 (March, 2022)

### Features:

* added new property `BackupLocation` on `CreateClusterProperties` structure
* added new query parameter `Direction` on `ApiClusterLogsGetRequest` structure

### Enhancements:

* improved error handling while decoding API Response
* added constructors for structures in order to support easier initialization
* added utility functions to easily convert pointers to values of basic types

## v1.0.1 (February, 2022)

### Enhancements:

* added support for `eu-south-2`, `eu-central-2` for `BackupLocation`

### Dependency-updates:

* updated `golang.org/x/oauth2` go import to the latest version

## v1.0.0 (January, 2022)

### Features:

* first release 🎉


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/go/dbaas-postgres/changelog.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
